# Novita AI Minimax Video-01 API | Generate videos from prompts or images

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-minimax-video-01

# Minimax Video-01

POST

/

v3

/

async

/

minimax-video-01

Try it

Minimax Video-01

cURL

```
curl --request POST \
--url https://api.novita.ai/v3/async/minimax-video-01 \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"prompt": "&#x3C;string>",
"image_url": "&#x3C;string>",
"enable_prompt_expansion": true
}
'
```

200

```
{
"task_id": "&#x3C;string>"
}
```

Minimax Video-01 (also known as Hailuo) is an AI video generation model that creates 6-second videos at 720p resolution and 25fps. It supports both text-to-video and image-to-video generation.

This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the video generation results.

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Supports: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-prompt)

prompt

string

required

Prompt text required to guide the generation.Range: `1 <= x <= 2000`.

[​](#param-image-url)

image_url

string

The URL of the first frame image to be used for video generation.

[​](#param-enable-prompt-expansion)

enable_prompt_expansion

boolean

Whether to enable prompt optimization.Default: `true`.

##

[​](#response)

Response

[​](#param-task-id)

task_id

string

required

Use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the generated outputs.

##

[​](#example)

Example

Here is an example of how to use the Minimax Video-01 API.

- Generate a task_id by sending a POST request to the Minimax Video-01 API.

`Request:`

```
curl --location 'https://api.novita.ai/v3/async/minimax-video-01' \
--header 'Authorization: Bearer {{API Key}}' \
--header 'Content-Type: application/json' \
--data '{
"prompt": "A cute panda is walking in the grassland slowly",
"image_url": "https://pub-f964a1c641c04024bce400ad128c8cd6.r2.dev/minimax-video-01-image.jpg",
"enable_prompt_expansion": True,
}'
```

`Response:`

```
{
"task_id": "{Returned Task ID}"
}
```

- Use `task_id` to get output videos.

HTTP status codes in the 2xx range indicate that the request has been successfully accepted, while status codes in the 5xx range indicate internal server errors.
You can get videos url in `videos` of response.
`Request:`

```
curl --location --request GET 'https://api.novita.ai/v3/async/task-result?task_id={Returned Task ID}' \
--header 'Authorization: Bearer {{API Key}}'
```

`Response:`

```
{
"task": {
"task_id": "{Returned Task ID}",
"task_type": "MINIMAX_VIDEO_01",
"status": "TASK_STATUS_SUCCEED",
"reason": "",
"eta": 0,
"progress_percent": 100
},
"images": [],
"videos": [
{
"video_url": "{The URL of the generated video}",
"video_url_ttl": "3600",
"video_type": "mp4"
}
]
}
```

`Video files:`

Last modified on June 18, 2025
